### Function

# Gcr CertificateRequest capable

#### Declaration [src]

    gboolean
    gcr_certificate_request_capable (
      GckObject* private_key,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Check whether `GcrCertificateRequest` is capable of creating a request for the given `private_key`.

#### Parameters

`private_key`

  Type: `GckObject`

  A private key.

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  Cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether a request can be created.